using System;
using System.Runtime.InteropServices;

namespace DShowNET
{
	
/*
 * type
  IKsPropertySet = interface(IUnknown)
    ['{31EFAC30-515C-11d0-A9AA-00AA0061BE93}']
    function Set_(const guidPropSet: TGUID; dwPropID: TAMProperty_Pin;
      pInstanceData: pointer; cbInstanceData: DWORD; pPropData: pointer; cbPropData: DWORD): HRESULT; stdcall;
    function Get(const guidPropSet: TGUID; dwPropID: TAMProperty_Pin;
      pInstanceData: pointer; cbInstanceData: DWORD; out pPropData ; cbPropData: DWORD;
      out pcbReturned: DWORD): HRESULT; stdcall;
    function QuerySupported(const guidPropSet: TGUID; dwPropID: TAMProperty_Pin;
      out pTypeSupport: DWORD): HRESULT; stdcall;


    function SetFiltergraph(pfg: IGraphBuilder): HRESULT; stdcall;
    function GetFiltergraph(out ppfg: IGraphBuilder): HRESULT; stdcall;
    function SetOutputFileName(const pType: TGUID; lpstrFile: PWCHAR; out ppf: IBaseFilter; out ppSink: IFileSinkFilter): HRESULT; stdcall;
    function FindInterface(pCategory, pType: PGUID; pf: IBaseFilter; const riid: TGUID; out ppint): HRESULT; stdcall;
    function RenderStream(pCategory, pType: PGUID; pSource: IUnknown; pfCompressor, pfRenderer: IBaseFilter): HRESULT; stdcall;
    function ControlStream(pCategory, pType: PGUID; pFilter: IBaseFilter; pstart, pstop: PREFERENCE_TIME; wStartCookie, wStopCookie: WORD ): HRESULT; stdcall;
    function AllocCapFile(lpstr: PWCHAR; dwlSize: int64): HRESULT; stdcall;
    function CopyCaptureFile(lpwstrOld, lpwstrNew: PWCHAR; fAllowEscAbort: Integer; pCallback: IAMCopyCaptureFileProgress): HRESULT; stdcall;
    function FindPin(pSource: IUnknown; pindir: TPIN_DIRECTION; const pCategory, pType: TGUID; fUnconnected: BOOL; num: integer; out ppPin: IPin): HRESULT; stdcall;


  end;*/

	[ComVisible(true), ComImport,
	Guid("31EFAC30-515C-11d0-A9AA-00AA0061BE93"),
	InterfaceType( ComInterfaceType.InterfaceIsIUnknown )]
	public interface IKsPropertySet
	{
		[PreserveSig]
		int Set(
			[In]											ref Guid			guidPropSet,
			[In]												AMProperty_Pin	dwPropID,
			[In]												int				pInstanceData,
			[In]												int				cbInstanceData,
			[In]											ref Guid			pPropData,
			[In]												int				cbPropData );

		[PreserveSig]
		int Get(
			[In]											ref Guid			guidPropSet,
			[In]												AMProperty_Pin	dwPropID,
			[In]												int				pInstanceData,
			[In]												int				cbInstanceData,
			[Out]											out Guid			pPropData,
			[In]												int				cbPropData,
			[Out]											out int				pcbReturned );

		[PreserveSig]
		int QuerySupported(
			[In]											ref Guid			guidPropSet,
			[In]												AMProperty_Pin	dwPropID,
			[Out]												int				pTypeSupport );
	}

	[ComVisible(false)]
	public enum AMProperty_Pin
	{
		Category	= 0,	// AMPROPERTY_PIN_CATEGORY
		Medium		= 1		// AMPROPERTY_PIN_MEDIUM
	}

}
